Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.util
Class MethodCall

    java.lang.Object
      org.jboss.cache.pojo.util.MethodCall

    public class MethodCall

extends Object

A special MethodCall object to wrap around the rollback method call. No Serializable is required.

Version:
  $Revision: 7070 $
Author:
  Ben Wang

Field Summary
`protected Object[]` | `args` The arguments of the method.
`protected static org.apache.commons.logging.Log` | `log`
`protected Method` | `method` The Method of the call.
`protected String` | `method_name` The name of the method, case sensitive.
`protected String[]` | `signature` The signature, e.g., new String[]{String.class.getLastElementAsString(), int.class.getLastElementAsString()}.
`protected Object` | `target`
`protected Class[]` | `types` The class types, e.g., new Class[]{String.class, int.class}.

Constructor Summary
`MethodCall(Method method, Object[] arguments, Object target)`

Method Summary
`Object[]` | `getArgs()`
`Method` | `getMethod()`
`String` | `getName()`
`Object` | `invoke()`
`protected Object` | `invoke(Object target)` Invokes the method with the supplied arguments against the target object.
`Object` | `invoke(Object target, Object[] args)`
`void` | `setArgs(Object[] args)`
`void` | `setMethod(Method m)`
`void` | `setName(String n)`
`String` | `toString()`
`String` | `toStringDetails()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### method_name

    protected String method_name

  The name of the method, case sensitive.

### args

    protected Object[] args

  The arguments of the method.

### types

    protected Class[] types

  The class types, e.g., new Class[]{String.class, int.class}.

### signature

    protected String[] signature

  The signature, e.g., new String[]{String.class.getLastElementAsString(), int.class.getLastElementAsString()}.

### method

    protected Method method

  The Method of the call.

### target

    protected Object target

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### MethodCall

    public MethodCall(Method method,
                      Object[] arguments,
                      Object target)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String n)

### getArgs

    public Object[] getArgs()

### setArgs

    public void setArgs(Object[] args)

### getMethod

    public Method getMethod()

### setMethod

    public void setMethod(Method m)

### invoke

    public Object invoke()
                  throws Throwable

  Throws:
    `Throwable`

### invoke

    protected Object invoke(Object target)
                     throws Throwable

  Invokes the method with the supplied arguments against the target object. If a method lookup is provided, it will be used. Otherwise, the default method lookup will be used.

  Parameters:
    `target` - - the object that you want to invoke the method on
  Returns:
    an object
  Throws:
    `Throwable`

### invoke

    public Object invoke(Object target,
                         Object[] args)
                  throws Throwable

  Throws:
    `Throwable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toStringDetails

    public String toStringDetails()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.